#
# spec file for package cmake-gui
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           cmake-gui
Version:        2.8.6
Release:        1
License:        BSD-3-Clause
Group:          Development/Tools/Building
Url:            http://www.cmake.org/
Source0:        http://www.cmake.org/files/v2.8/cmake-%{version}.tar.gz
Patch4:         cmake-disable-builtin-chrpath.diff
Summary:        CMake graphical user interface
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
BuildRequires:  libexpat-devel
%if 0%{?suse_version} > 1110
BuildRequires:  fdupes
%endif
%else
BuildRequires:  expat-devel
%endif
BuildRequires:  curl-devel
BuildRequires:  gcc-c++
BuildRequires:  libqt4-devel
BuildRequires:  openssl-devel
BuildRequires:  update-desktop-files
BuildRequires:  zlib-devel
%if 0%{?suse_version} > 1130
BuildRequires:  libarchive-devel
%endif
Requires:       cmake

%description
This is a Graphical User Interface for CMake, a cross-platform,
open-source make system.

%prep
%setup -q -n cmake-%{version}
%patch4

%build
EXTRA_FLAGS="--qt-gui"
export CXXFLAGS="$RPM_OPT_FLAGS"
export CFLAGS="$CXXFLAGS"
./configure \
    --prefix=%{_prefix} \
    --datadir=/share/cmake \
    --docdir=/share/doc/packages/cmake \
    --mandir=/share/man \
%if 0%{?suse_version} > 1130
    --system-libs \
%else
    --system-curl \
    --system-expat \
    --system-zlib \
    --system-bzip2 \
    --no-system-libarchive \
%endif
    --parallel=0%jobs \
    --qt-gui
make VERBOSE=1 %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_libdir}/cmake
%suse_update_desktop_file CMake Development IDE Tools Qt
# delete files that belong to the 'cmake' package
rm -rf %{buildroot}/usr/bin/{cpack,cmake,ctest}
rm -rf %{buildroot}/usr/share/cmake
rm -rf %{buildroot}/usr/share/aclocal/cmake.m4
rm -rf %{buildroot}/usr/share/doc/packages/cmake
rm -rf %{buildroot}/usr/share/man/man1/{cmake,cmakecommands,cmakecompat}.1
rm -rf %{buildroot}/usr/share/man/man1/{cmakemodules,cmakepolicies,cmakeprops,cmakevars,cpack,ctest}.1

%files
%defattr(-,root,root)
%{_bindir}/cmake-gui
%{_datadir}/applications/CMake.desktop
%{_datadir}/mime/packages/cmakecache.xml
%{_datadir}/pixmaps/CMakeSetup32.png
%doc %{_mandir}/man1/cmake-gui.1.*

%changelog
